Package org.zkoss.stateless.util

## Interface ActionHandler8<A,​B,​C,​D,​E,​F,​G,​H>

- All Superinterfaces:
    `ActionHandler`, `CheckedConsumer8<A,​B,​C,​D,​E,​F,​G,​H>`, `java.io.Serializable`
  All Known Subinterfaces:
    `ActionType.OnAcrossPage8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnAdjustCols8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnAdjustFrozenCols8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnAdjustRows8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnAfterRender8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnAfterSize8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnAnchorPos8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnBlur8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnBookmarkChange8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnCameraUnavailable8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnCancel8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnCellClick8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnChange8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnChanging8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnCheck8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnCheckSelectAll8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnClear8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnClick8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnClientInfo8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnClose8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnColSize8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnCreate8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnCrop8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnCtrlKey8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnDataLoading8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnDeferredEvaluation8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnDesktopRecycle8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnDetect8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnDivisionSize8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnDoubleClick8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnDrop8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnError8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnFocus8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnFulfill8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnGroup8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnHistoryPopState8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnInnerWidth8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnItemClick8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnLengthLimitExceed8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnMaxFileCountExceed8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnMaximize8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnMaxsizeExceed8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnMinimize8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnModal8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnMouseOut8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnMouseOver8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnMove8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnNotify8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnOK8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnOpen8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnPageSize8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnPaging8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnPiggyback8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnPortalDrop8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnPortalMove8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnRangeValueChange8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnRender8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnRightClick8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnRotate8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSave8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnScriptError8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnScroll8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnScrolling8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnScrollPos8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnScrollX8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnScrollY8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSearch8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSearching8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSelect8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSelection8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSelectSubModel8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSize8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSlide8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSnapshotUpload8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSort8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnStateChange8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnStub8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnSwipe8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnTargetClick8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnTimer8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnTimeZoneChange8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnTopPad8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnUngroup8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnUpload8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnURIChange8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnUser8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnVisibilityChange8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnWeekClick8<A,​B,​C,​D,​E,​F,​G,​H>`, `ActionType.OnZIndex8<A,​B,​C,​D,​E,​F,​G,​H>`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface ActionHandler8<A,​B,​C,​D,​E,​F,​G,​H>
      extends CheckedConsumer8<A,​B,​C,​D,​E,​F,​G,​H>, ActionHandler

  Represents an action handler with eight arguments.
  Author:
    jumperchen

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.stateless.util.ActionHandler

      `CACHE_SIZE, DEFAULT_VALUES, LOADED_CLASS_CACHE, LOADED_LAMBDA_CACHE, LOADED_METHOD_CACHE`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `getParameterCount()` | Returns the parameter count for this action handler.

    - ### Methods inherited from interface org.zkoss.stateless.util.ActionHandler

      `call, call`

    - ### Methods inherited from interface org.zkoss.stateless.function.CheckedConsumer8

      `accept, andThen`

- - ### Method Detail

    - #### getParameterCount

          default int getParameterCount()

      Description copied from interface: `ActionHandler`
      Returns the parameter count for this action handler.
      Specified by:
        `getParameterCount` in interface `ActionHandler`
      Returns:
        A number of parameters of a lambda method or a method reference.